package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学生档案历史信息对象 student_info_old
 * 
 * @author ruoyi
 * @date 2023-07-28
 */
public class StudentInfoOld extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long oldId;

    /** 学生id（家长-学生(审核通过之后数据)表id） */
    @Excel(name = "学生id", readConverterExp = "家=长-学生(审核通过之后数据)表id")
    private Long studentId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别(1：男，2：女) */
    @Excel(name = "性别(1：男，2：女)")
    private String sex;

    /** 年龄 */
    @Excel(name = "年龄")
    private String age;

    /** 学校 */
    @Excel(name = "学校")
    private String school;

    /** 学号 */
    @Excel(name = "学号")
    private String studentNumber;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 是否近视（1：是，2：否） */
    @Excel(name = "是否近视", readConverterExp = "1=：是，2：否")
    private String isNearsightedness;

    /** 近视度数 */
    @Excel(name = "近视度数")
    private String degreeMyopia;

    /** 身高 */
    @Excel(name = "身高")
    private String height;

    /** 体重 */
    @Excel(name = "体重")
    private String weight;

    /** 血型 */
    @Excel(name = "血型")
    private String bloodType;

    /** 政治面貌 */
    @Excel(name = "政治面貌")
    private String politicalStatus;

    /** 健康状况 */
    @Excel(name = "健康状况")
    private String health;

    /** 证件照(地址) */
    @Excel(name = "证件照(地址)")
    private String identificationPhoto;

    /** 心理状况 */
    @Excel(name = "心理状况")
    private String mind;

    /** 门禁照(地址) */
    @Excel(name = "门禁照(地址)")
    private String entrancePermit;

    /** 父亲 */
    @Excel(name = "父亲")
    private String fatherName;

    /** 父亲联系方式 */
    @Excel(name = "父亲联系方式")
    private String fatherTelephone;

    /** 母亲 */
    @Excel(name = "母亲")
    private String motherName;

    /** 母亲联系方式 */
    @Excel(name = "母亲联系方式")
    private String motherTelephone;

    /** 居住地址 */
    @Excel(name = "居住地址")
    private String address;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    public Long getOldId() {
        return oldId;
    }

    public void setOldId(Long oldId) {
        this.oldId = oldId;
    }

    public void setStudentId(Long studentId)
    {
        this.studentId = studentId;
    }

    public Long getStudentId() 
    {
        return studentId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setAge(String age) 
    {
        this.age = age;
    }

    public String getAge() 
    {
        return age;
    }
    public void setSchool(String school) 
    {
        this.school = school;
    }

    public String getSchool() 
    {
        return school;
    }
    public void setStudentNumber(String studentNumber) 
    {
        this.studentNumber = studentNumber;
    }

    public String getStudentNumber() 
    {
        return studentNumber;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setIsNearsightedness(String isNearsightedness) 
    {
        this.isNearsightedness = isNearsightedness;
    }

    public String getIsNearsightedness() 
    {
        return isNearsightedness;
    }
    public void setDegreeMyopia(String degreeMyopia) 
    {
        this.degreeMyopia = degreeMyopia;
    }

    public String getDegreeMyopia() 
    {
        return degreeMyopia;
    }
    public void setHeight(String height) 
    {
        this.height = height;
    }

    public String getHeight() 
    {
        return height;
    }
    public void setWeight(String weight) 
    {
        this.weight = weight;
    }

    public String getWeight() 
    {
        return weight;
    }
    public void setBloodType(String bloodType) 
    {
        this.bloodType = bloodType;
    }

    public String getBloodType() 
    {
        return bloodType;
    }
    public void setPoliticalStatus(String politicalStatus) 
    {
        this.politicalStatus = politicalStatus;
    }

    public String getPoliticalStatus() 
    {
        return politicalStatus;
    }
    public void setHealth(String health) 
    {
        this.health = health;
    }

    public String getHealth() 
    {
        return health;
    }
    public void setIdentificationPhoto(String identificationPhoto) 
    {
        this.identificationPhoto = identificationPhoto;
    }

    public String getIdentificationPhoto() 
    {
        return identificationPhoto;
    }
    public void setMind(String mind) 
    {
        this.mind = mind;
    }

    public String getMind() 
    {
        return mind;
    }
    public void setEntrancePermit(String entrancePermit) 
    {
        this.entrancePermit = entrancePermit;
    }

    public String getEntrancePermit() 
    {
        return entrancePermit;
    }
    public void setFatherName(String fatherName) 
    {
        this.fatherName = fatherName;
    }

    public String getFatherName() 
    {
        return fatherName;
    }
    public void setFatherTelephone(String fatherTelephone) 
    {
        this.fatherTelephone = fatherTelephone;
    }

    public String getFatherTelephone() 
    {
        return fatherTelephone;
    }
    public void setMotherName(String motherName) 
    {
        this.motherName = motherName;
    }

    public String getMotherName() 
    {
        return motherName;
    }
    public void setMotherTelephone(String motherTelephone) 
    {
        this.motherTelephone = motherTelephone;
    }

    public String getMotherTelephone() 
    {
        return motherTelephone;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setLongitude(String longitude) 
    {
        this.longitude = longitude;
    }

    public String getLongitude() 
    {
        return longitude;
    }
    public void setLatitude(String latitude) 
    {
        this.latitude = latitude;
    }

    public String getLatitude() 
    {
        return latitude;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("oldId", getOldId())
            .append("studentId", getStudentId())
            .append("name", getName())
            .append("sex", getSex())
            .append("age", getAge())
            .append("school", getSchool())
            .append("studentNumber", getStudentNumber())
            .append("idCard", getIdCard())
            .append("isNearsightedness", getIsNearsightedness())
            .append("degreeMyopia", getDegreeMyopia())
            .append("height", getHeight())
            .append("weight", getWeight())
            .append("bloodType", getBloodType())
            .append("politicalStatus", getPoliticalStatus())
            .append("health", getHealth())
            .append("identificationPhoto", getIdentificationPhoto())
            .append("mind", getMind())
            .append("entrancePermit", getEntrancePermit())
            .append("fatherName", getFatherName())
            .append("fatherTelephone", getFatherTelephone())
            .append("motherName", getMotherName())
            .append("motherTelephone", getMotherTelephone())
            .append("address", getAddress())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
